Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156563 - yelp is alone in depending on mozilla
Summary: yelp is alone in depending on mozilla
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-01 17:20 UTC by Ricky Ng-Adam
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-12 17:27:58 UTC


Attachments (Terms of Use)

Description Ricky Ng-Adam 2005-05-01 17:20:45 UTC
Description of problem:

[rngadam@localhost ~]$ rpm -q --whatrequires mozilla
yelp-2.9.3-5

Version-Release number of selected component (if applicable):

yelp-2.9.3-5

How reproducible:

always

Steps to Reproduce:
1. install yelp
2.
3.
  
Actual results:

also installs Mozilla...

Expected results:

Should use Firefox

Additional info:

Also see bug #156475 (Eclipse also using Mozilla but does not explicitly require
s it).

Comment 1 Jason 2005-11-25 15:19:28 UTC
Please change yelp to depend on firefox instead of mozilla.

Thanks,

Comment 2 Dave Malcolm 2006-01-12 17:27:58 UTC
Mozilla needs to separate its core engine from the UI and have the  suite,
Firefox and applications like Yelp depend on that engine. It's ongoing upstream
work.

http://developer.mozilla.org/en/docs/XULRunner

eclipse and liferea have similar dependencies


Note You need to log in before you can comment on or make changes to this bug.